.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_ScriptEditor:

ScriptEditor
============

**Inherits:** :ref:`PanelContainer<class_panelcontainer>` **<** :ref:`Container<class_container>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------------+---------------------------------------------------------------------------------+
| :ref:`Script<class_script>`  | :ref:`get_current_script<class_ScriptEditor_get_current_script>`  **(** **)**   |
+------------------------------+---------------------------------------------------------------------------------+
| :ref:`Array<class_array>`    | :ref:`get_open_scripts<class_ScriptEditor_get_open_scripts>`  **(** **)** const |
+------------------------------+---------------------------------------------------------------------------------+

Signals
-------

-  **editor_script_changed**  **(** :ref:`Object<class_object>` script  **)**
Emitted when user changed active script. Argument is a freshly activated :ref:`Script<class_script>`.

-  **script_close**  **(** :ref:`Object<class_object>` script  **)**
Emitted when editor is about to close the active script. Argument is a :ref:`Script<class_script>` that is going to be closed.


Member Function Description
---------------------------

.. _class_ScriptEditor_get_current_script:

- :ref:`Script<class_script>`  **get_current_script**  **(** **)**

Returns a :ref:`Script<class_script>` that is currently active in editor.

.. _class_ScriptEditor_get_open_scripts:

- :ref:`Array<class_array>`  **get_open_scripts**  **(** **)** const

Returns an array with all :ref:`Script<class_script>` objects which are currently open in editor.


